## List Members `client.accounts.members.list(MemberListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/members` List all members of an account. ### Parameters - `params: MemberListParams` - `account_id: string` Path param: Account identifier tag. - `direction?: "asc" | "desc"` Query param: Direction to order results. - `"asc"` - `"desc"` - `order?: "user.first_name" | "user.last_name" | "user.email" | "status"` Query param: Field to order results by. - `"user.first_name"` - `"user.last_name"` - `"user.email"` - `"status"` - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Maximum number of results per page. - `status?: "accepted" | "pending" | "rejected"` Query param: A member's status in the account. - `"accepted"` - `"pending"` - `"rejected"` ### Returns - `Member` - `id?: string` Membership identifier tag. - `email?: string` The contact email address of the user. - `policies?: Array` Access policy for the membership - `id?: string` Policy identifier. - `access?: "allow" | "deny"` Allow or deny operations against the resources. - `"allow"` - `"deny"` - `permission_groups?: Array` A set of permission groups that are specified to the policy. - `id: string` Identifier of the permission group. - `meta?: Meta` Attributes associated to the permission group. - `key?: string` - `value?: string` - `name?: string` Name of the permission group. - `resource_groups?: Array` A list of resource groups that the policy applies to. - `id: string` Identifier of the resource group. - `scope: Array` The scope associated to the resource group - `key: string` This is a combination of pre-defined resource name and identifier (like Account ID etc.) - `objects: Array` A list of scope objects for additional context. - `key: string` This is a combination of pre-defined resource name and identifier (like Zone ID etc.) - `meta?: Meta` Attributes associated to the resource group. - `key?: string` - `value?: string` - `name?: string` Name of the resource group. - `roles?: Array` Roles assigned to this Member. - `id: string` Role identifier tag. - `description: string` Description of role's permissions. - `name: string` Role name. - `permissions: Permissions` - `analytics?: PermissionGrant` - `read?: boolean` - `write?: boolean` - `billing?: PermissionGrant` - `cache_purge?: PermissionGrant` - `dns?: PermissionGrant` - `dns_records?: PermissionGrant` - `lb?: PermissionGrant` - `logs?: PermissionGrant` - `organization?: PermissionGrant` - `ssl?: PermissionGrant` - `waf?: PermissionGrant` - `zone_settings?: PermissionGrant` - `zones?: PermissionGrant` - `status?: "accepted" | "pending"` A member's status in the account. - `"accepted"` - `"pending"` - `user?: User` Details of the user associated to the membership. - `email: string` The contact email address of the user. - `id?: string` Identifier - `first_name?: string | null` User's first name - `last_name?: string | null` User's last name - `two_factor_authentication_enabled?: boolean` Indicates whether two-factor authentication is enabled for the user account. Does not apply to API authentication. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const member of client.accounts.members.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(member.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "4536bcfad5faccb111b47003c79917fa", "email": "user@example.com", "policies": [ { "id": "f267e341f3dd4697bd3b9f71dd96247f", "access": "allow", "permission_groups": [ { "id": "c8fed203ed3043cba015a93ad1616f1f", "meta": { "key": "key", "value": "value" }, "name": "Zone Read" }, { "id": "82e64a83756745bbbb1c9c2701bf816b", "meta": { "key": "key", "value": "value" }, "name": "Magic Network Monitoring" } ], "resource_groups": [ { "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1", "scope": [ { "key": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4", "objects": [ { "key": "com.cloudflare.api.account.zone.23f8d65290b24279ba6f44721b3eaad5" } ] } ], "meta": { "key": "key", "value": "value" }, "name": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4" } ] } ], "roles": [ { "id": "3536bcfad5faccb999b47003c79917fb", "description": "Administrative access to the entire Account", "name": "Account Administrator", "permissions": { "analytics": { "read": true, "write": false }, "billing": { "read": true, "write": false }, "cache_purge": { "read": true, "write": false }, "dns": { "read": true, "write": false }, "dns_records": { "read": true, "write": false }, "lb": { "read": true, "write": false }, "logs": { "read": true, "write": false }, "organization": { "read": true, "write": false }, "ssl": { "read": true, "write": false }, "waf": { "read": true, "write": false }, "zone_settings": { "read": true, "write": false }, "zones": { "read": true, "write": true } } } ], "status": "accepted", "user": { "email": "user@example.com", "id": "023e105f4ecef8ad9ca31a8372d0c353", "first_name": "John", "last_name": "Appleseed", "two_factor_authentication_enabled": true } } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```